<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>TIGraphLibrary(TIGL): DijksraInfo Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TIGraphLibrary(TIGL)
   &#160;<span id="projectnumber">ver1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Macros</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classDijksraInfo-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">DijksraInfo Class Reference<div class="ingroups"><a class="el" href="group__algorithm__group.html">Algorithms</a> &#124; <a class="el" href="group__SSSP.html">Single Source Shortest Path</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>Parameters of the algorithm field in the Dijkstra algorithm it contains customized definition of the basic operators.  
 <a href="classDijksraInfo.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="tiglExamplesSSSP_8hpp_source.html">tiglExamplesSSSP.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a05874cccc8d0876351ceb79a00139195"><td class="memTemplParams" colspan="2"><a class="anchor" id="a05874cccc8d0876351ceb79a00139195"></a>
template&lt;typename T &gt; </td></tr>
<tr class="memitem:a05874cccc8d0876351ceb79a00139195"><td class="memTemplItemLeft" align="right" valign="top">double&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classDijksraInfo.html#a05874cccc8d0876351ceb79a00139195">operator+</a> (T &amp;ref)</td></tr>
<tr class="memdesc:a05874cccc8d0876351ceb79a00139195"><td class="mdescLeft">&#160;</td><td class="mdescRight">add the distance <br /></td></tr>
<tr class="separator:a05874cccc8d0876351ceb79a00139195"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8f7c5d4a9719c56aacac3447e7302094"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8f7c5d4a9719c56aacac3447e7302094"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classDijksraInfo.html#a8f7c5d4a9719c56aacac3447e7302094">operator&lt;</a> (<a class="el" href="classDijksraInfo.html">DijksraInfo</a> &amp;ref)</td></tr>
<tr class="memdesc:a8f7c5d4a9719c56aacac3447e7302094"><td class="mdescLeft">&#160;</td><td class="mdescRight">compare the distance field <br /></td></tr>
<tr class="separator:a8f7c5d4a9719c56aacac3447e7302094"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1af678941fec8fde3f96f94c32e319b1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1af678941fec8fde3f96f94c32e319b1"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classDijksraInfo.html#a1af678941fec8fde3f96f94c32e319b1">operator&gt;</a> (<a class="el" href="classDijksraInfo.html">DijksraInfo</a> &amp;ref)</td></tr>
<tr class="memdesc:a1af678941fec8fde3f96f94c32e319b1"><td class="mdescLeft">&#160;</td><td class="mdescRight">compares the distance field <br /></td></tr>
<tr class="separator:a1af678941fec8fde3f96f94c32e319b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a16c7f736f8589eb57919e04a22359263"><td class="memItemLeft" align="right" valign="top">uint_fast32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classDijksraInfo.html#a16c7f736f8589eb57919e04a22359263">parent</a></td></tr>
<tr class="separator:a16c7f736f8589eb57919e04a22359263"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a57225980a19a31ea3131ff4e8d7c08cd"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classDijksraInfo.html#a57225980a19a31ea3131ff4e8d7c08cd">distance</a></td></tr>
<tr class="separator:a57225980a19a31ea3131ff4e8d7c08cd"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Parameters of the algorithm field in the Dijkstra algorithm it contains customized definition of the basic operators. </p>
</div><h2 class="groupheader">Member Data Documentation</h2>
<a class="anchor" id="a57225980a19a31ea3131ff4e8d7c08cd"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double DijksraInfo::distance</td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">distance</td><td>distance to the source </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a16c7f736f8589eb57919e04a22359263"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint_fast32_t DijksraInfo::parent</td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">parent</td><td>parent node in the shortest path </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/mohamed/code/tigl/examples/<a class="el" href="tiglExamplesSSSP_8hpp_source.html">tiglExamplesSSSP.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Mon Jan 19 2015 17:09:21 for TIGraphLibrary(TIGL) by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
